/// <reference types="react" />
import { ExpressionRuleEditor } from "../ExpressionRuleEditor";
import { IfThenExpression } from "@appglue/common/dist/Expressions/Expressions/Logic/IfThenExpression";
import { ExpressionValue } from "@appglue/common/dist/Expressions/ExpressionValue";
import { BaseTestResultData } from "@appglue/common/dist/Common/Testing/BaseTestResultData";
export declare class IfThenExpressionEditor extends ExpressionRuleEditor<IfThenExpression> {
    renderEnd(): JSX.Element;
    renderThen(): JSX.Element;
    renderBranchActions(index: number, renderRuleChange?: boolean): JSX.Element;
    getTestValueColor(el: ExpressionValue, testcontext: BaseTestResultData | undefined): string | undefined;
    getLogicDataTestColor(testcontext: BaseTestResultData | undefined, val: string): string | undefined;
    checkPairPassedInTest(pairId: string, testcontext: BaseTestResultData | undefined): boolean | null;
    getPairTestValueColor(pairId: string, testcontext: BaseTestResultData | undefined): string | undefined;
    renderPairTestResult(pairId: string, testcontext: BaseTestResultData | undefined): JSX.Element | null;
    render(): JSX.Element;
    private addIfBranchFromAction;
    private deleteIfBranchFromAction;
    private renderRuleChange;
    private changeStyle;
}
export declare const IfSection: (props: {
    children?: any;
}) => JSX.Element;
export declare const IfIndentedSection: (props: {
    children?: any;
}) => JSX.Element;
export declare const ActionButtons: (props: {
    children?: any;
}) => JSX.Element;
export declare const FloatRight: (props: {
    children?: any;
}) => JSX.Element;
